Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.io
Interface VFSFileFilter

All Known Implementing Classes:
  GlobVFSFileFilter, VFSBrowser.DirectoriesOnlyFilter

    public interface VFSFileFilter

An interface similar to `java.io.FilenameFilter`, that is used by `VFSBrowser` to define what files to show in the directory view.

Since:
  jEdit 4.3pre7

Field Summary
`static java.lang.String` | `SERVICE_NAME`

Method Summary
`boolean` | `accept(java.lang.String url)` Same thing as `accept(VFSFile)` above, but operates on the raw URL instead of a VFSFile object.
`boolean` | `accept(VFSFile file)` Should return whether the entry represented by the given URL should be listed in the browser view.
`java.lang.String` | `getDescription()` Returns the description of the filter, to be used in the VFSBrowser window.

Field Detail

### SERVICE_NAME

    static final java.lang.String SERVICE_NAME

Method Detail

### accept

    boolean accept(VFSFile file)

  Should return whether the entry represented by the given URL should be listed in the browser view.

### accept

    boolean accept(java.lang.String url)

  Same thing as `accept(VFSFile)` above, but operates on the raw URL instead of a VFSFile object.

### getDescription

    java.lang.String getDescription()

  Returns the description of the filter, to be used in the VFSBrowser window.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD